﻿using System;
using newtelligence.Aspects.Constraints;

namespace newtelligence.Samples.Metadata.AttributedClasses 
{
	using System.Xml.Serialization;
    
    
	/// <remarks/>
	[System.Xml.Serialization.XmlTypeAttribute(Namespace="urn:schemas-newtelligence-com:transactionsamples:customerdata:v1")]
	[System.Xml.Serialization.XmlRootAttribute(Namespace="urn:schemas-newtelligence-com:transactionsamples:customerdata:v1", IsNullable=false)]
	public class Customers 
	{
        
		/// <remarks/>
		[System.Xml.Serialization.XmlElementAttribute("Customer")]
		public customerType[] Customer;
	}
    
	/// <remarks/>
	[System.Xml.Serialization.XmlTypeAttribute(Namespace="urn:schemas-newtelligence-com:transactionsamples:customerdata:v1")]
	public class customerType 
	{
        
		/// <remarks/>
		[Match(@"\p{L}[\p{L}\p{P}0-9\s]+"),MaxLength(80)]
		public string FirstName;
        
		/// <remarks/>
		[Match(@"\p{L}[\p{L}\p{P}0-9\s]+"),MaxLength(80)]
		public string LastName;
        
		/// <remarks/>
		public addressType HomeAddress;
        
		/// <remarks/>
		public addressType BusinessAddress;
        
		/// <remarks/>
		[Match(@"[0-9\+][0-9\-\(\)\s]*"),MaxLength(26)]
		public string HomePhone;
        
		/// <remarks/>
		[Match(@"[0-9\+][0-9\-\(\)\s]*"),MaxLength(26)]
		public string BusinessPhone;
        
		/// <remarks/>
		[Match(@"[0-9\+][0-9\-\(\)\s]*"),MaxLength(26)]
		public string MobilePhone;
	}
    
	/// <remarks/>
	[System.Xml.Serialization.XmlTypeAttribute(Namespace="urn:schemas-newtelligence-com:transactionsamples:customerdata:v1")]
	public class addressType 
	{
        
		/// <remarks/>
		[Match(@"\p{L}[\p{L}\p{P}0-9\s]+"),MaxLength(80)]
		public string City;
        
		/// <remarks/>
		public countryNameType Country;
        
		/// <remarks/>
		public countryCodeType CountryCode;
        
		/// <remarks/>
		[MaxLength(10)]
		public string PostalCode;
        
		/// <remarks/>
		[MaxLength(160)]
		public string AddressLine;
	}
    
	/// <remarks/>
	[System.Xml.Serialization.XmlTypeAttribute(Namespace="urn:schemas-newtelligence-com:transactionsamples:customerdata:v1")]
	public enum countryNameType 
	{
        
		/// <remarks/>
		Afghanistan,
        
		/// <remarks/>
		Albania,
        
		/// <remarks/>
		Algeria,
        
		/// <remarks/>
		Andorra,
        
		/// <remarks/>
		Angola,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Antigua and Barbuda")]
		AntiguaandBarbuda,
        
		/// <remarks/>
		Argentina,
        
		/// <remarks/>
		Armenia,
        
		/// <remarks/>
		Australia,
        
		/// <remarks/>
		Austria,
        
		/// <remarks/>
		Azerbaijan,
        
		/// <remarks/>
		Bahamas,
        
		/// <remarks/>
		Bahrain,
        
		/// <remarks/>
		Bangladesh,
        
		/// <remarks/>
		Barbados,
        
		/// <remarks/>
		Belarus,
        
		/// <remarks/>
		Belgium,
        
		/// <remarks/>
		Belize,
        
		/// <remarks/>
		Benin,
        
		/// <remarks/>
		Bhutan,
        
		/// <remarks/>
		Bolivia,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Bosnia And Herzegovina")]
		BosniaAndHerzegovina,
        
		/// <remarks/>
		Botswana,
        
		/// <remarks/>
		Brazil,
        
		/// <remarks/>
		Brunei,
        
		/// <remarks/>
		Bulgaria,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Burkina Faso")]
		BurkinaFaso,
        
		/// <remarks/>
		Burundi,
        
		/// <remarks/>
		Cambodia,
        
		/// <remarks/>
		Cameroon,
        
		/// <remarks/>
		Canada,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Cape Verde")]
		CapeVerde,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Central African Republic")]
		CentralAfricanRepublic,
        
		/// <remarks/>
		Chad,
        
		/// <remarks/>
		Chile,
        
		/// <remarks/>
		China,
        
		/// <remarks/>
		Colombia,
        
		/// <remarks/>
		Comoros,
        
		/// <remarks/>
		Congo,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Congo (DRC)")]
		CongoDRC,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Costa Rica")]
		CostaRica,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Cote d\'Ivoire")]
		CotedIvoire,
        
		/// <remarks/>
		Croatia,
        
		/// <remarks/>
		Cuba,
        
		/// <remarks/>
		Cyprus,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Czech Republic")]
		CzechRepublic,
        
		/// <remarks/>
		Denmark,
        
		/// <remarks/>
		Djibouti,
        
		/// <remarks/>
		Dominica,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Dominican Republic")]
		DominicanRepublic,
        
		/// <remarks/>
		Ecuador,
        
		/// <remarks/>
		Egypt,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("El Salvador")]
		ElSalvador,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Equatorial Guinea")]
		EquatorialGuinea,
        
		/// <remarks/>
		Eritrea,
        
		/// <remarks/>
		Estonia,
        
		/// <remarks/>
		Ethiopia,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Federal Republic of Yugoslavia")]
		FederalRepublicofYugoslavia,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Fiji Islands")]
		FijiIslands,
        
		/// <remarks/>
		Finland,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Former Yugoslav Republic of Macedonia")]
		FormerYugoslavRepublicofMacedonia,
        
		/// <remarks/>
		France,
        
		/// <remarks/>
		Gabon,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Gambia, The")]
		GambiaThe,
        
		/// <remarks/>
		Georgia,
        
		/// <remarks/>
		Germany,
        
		/// <remarks/>
		Ghana,
        
		/// <remarks/>
		Greece,
        
		/// <remarks/>
		Grenada,
        
		/// <remarks/>
		Guatemala,
        
		/// <remarks/>
		Guinea,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Guinea-Bissau")]
		GuineaBissau,
        
		/// <remarks/>
		Guyana,
        
		/// <remarks/>
		Haiti,
        
		/// <remarks/>
		Honduras,
        
		/// <remarks/>
		Hungary,
        
		/// <remarks/>
		Iceland,
        
		/// <remarks/>
		India,
        
		/// <remarks/>
		Indonesia,
        
		/// <remarks/>
		Iran,
        
		/// <remarks/>
		Iraq,
        
		/// <remarks/>
		Ireland,
        
		/// <remarks/>
		Israel,
        
		/// <remarks/>
		Italy,
        
		/// <remarks/>
		Jamaica,
        
		/// <remarks/>
		Japan,
        
		/// <remarks/>
		Jordan,
        
		/// <remarks/>
		Kazakhstan,
        
		/// <remarks/>
		Kenya,
        
		/// <remarks/>
		Kiribati,
        
		/// <remarks/>
		Korea,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Korea, Democratic People\'s Republic of")]
		KoreaDemocraticPeoplesRepublicof,
        
		/// <remarks/>
		Kuwait,
        
		/// <remarks/>
		Kyrgyzstan,
        
		/// <remarks/>
		Laos,
        
		/// <remarks/>
		Latvia,
        
		/// <remarks/>
		Lebanon,
        
		/// <remarks/>
		Lesotho,
        
		/// <remarks/>
		Liberia,
        
		/// <remarks/>
		Libya,
        
		/// <remarks/>
		Liechtenstein,
        
		/// <remarks/>
		Lithuania,
        
		/// <remarks/>
		Luxembourg,
        
		/// <remarks/>
		Madagascar,
        
		/// <remarks/>
		Malawi,
        
		/// <remarks/>
		Malaysia,
        
		/// <remarks/>
		Maldives,
        
		/// <remarks/>
		Mali,
        
		/// <remarks/>
		Malta,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Marshall Islands")]
		MarshallIslands,
        
		/// <remarks/>
		Mauritania,
        
		/// <remarks/>
		Mauritius,
        
		/// <remarks/>
		Mexico,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Micronesia, Federated States of")]
		MicronesiaFederatedStatesof,
        
		/// <remarks/>
		Moldova,
        
		/// <remarks/>
		Monaco,
        
		/// <remarks/>
		Mongolia,
        
		/// <remarks/>
		Morocco,
        
		/// <remarks/>
		Mozambique,
        
		/// <remarks/>
		Myanmar,
        
		/// <remarks/>
		Namibia,
        
		/// <remarks/>
		Nauru,
        
		/// <remarks/>
		Nepal,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Netherlands, The")]
		NetherlandsThe,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("New Zealand")]
		NewZealand,
        
		/// <remarks/>
		Nicaragua,
        
		/// <remarks/>
		Niger,
        
		/// <remarks/>
		Nigeria,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("North Korea")]
		NorthKorea,
        
		/// <remarks/>
		Norway,
        
		/// <remarks/>
		Oman,
        
		/// <remarks/>
		Pakistan,
        
		/// <remarks/>
		Palau,
        
		/// <remarks/>
		Panama,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Papua New Guinea")]
		PapuaNewGuinea,
        
		/// <remarks/>
		Paraguay,
        
		/// <remarks/>
		Peru,
        
		/// <remarks/>
		Phillippines,
        
		/// <remarks/>
		Poland,
        
		/// <remarks/>
		Portugal,
        
		/// <remarks/>
		Qatar,
        
		/// <remarks/>
		Romania,
        
		/// <remarks/>
		Russia,
        
		/// <remarks/>
		Rwanda,
        
		/// <remarks/>
		Samoa,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("San Marino")]
		SanMarino,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Sao Tome And Principe")]
		SaoTomeAndPrincipe,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Saudi Arabia")]
		SaudiArabia,
        
		/// <remarks/>
		Senegal,
        
		/// <remarks/>
		Seychelles,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Sierra Leone")]
		SierraLeone,
        
		/// <remarks/>
		Singapore,
        
		/// <remarks/>
		Slovakia,
        
		/// <remarks/>
		Slovenia,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Solomon Islands")]
		SolomonIslands,
        
		/// <remarks/>
		Somalia,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("South Africa")]
		SouthAfrica,
        
		/// <remarks/>
		Spain,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Sri Lanka")]
		SriLanka,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("St. Kitts And Nevis")]
		StKittsAndNevis,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("St. Lucia")]
		StLucia,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("St. Vincent And the Grenadines")]
		StVincentAndtheGrenadines,
        
		/// <remarks/>
		Sudan,
        
		/// <remarks/>
		Suriname,
        
		/// <remarks/>
		Swaziland,
        
		/// <remarks/>
		Sweden,
        
		/// <remarks/>
		Switzerland,
        
		/// <remarks/>
		Syria,
        
		/// <remarks/>
		Tajikistan,
        
		/// <remarks/>
		Tanzania,
        
		/// <remarks/>
		Thailand,
        
		/// <remarks/>
		Togo,
        
		/// <remarks/>
		Tonga,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Trinidad and Tobago")]
		TrinidadandTobago,
        
		/// <remarks/>
		Tunisia,
        
		/// <remarks/>
		Turkey,
        
		/// <remarks/>
		Turkmenistan,
        
		/// <remarks/>
		Tuvalu,
        
		/// <remarks/>
		Uganda,
        
		/// <remarks/>
		Ukraine,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("United Arab Emirates")]
		UnitedArabEmirates,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("United Kingdom")]
		UnitedKingdom,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("United States")]
		UnitedStates,
        
		/// <remarks/>
		Uruguay,
        
		/// <remarks/>
		Uzbekistan,
        
		/// <remarks/>
		Vanuatu,
        
		/// <remarks/>
		[System.Xml.Serialization.XmlEnumAttribute("Vatican City")]
		VaticanCity,
        
		/// <remarks/>
		Venezuela,
        
		/// <remarks/>
		Vietnam,
        
		/// <remarks/>
		Yemen,
        
		/// <remarks/>
		Zambia,
        
		/// <remarks/>
		Zimbabwe,
	}
    
	/// <remarks/>
	[System.Xml.Serialization.XmlTypeAttribute(Namespace="urn:schemas-newtelligence-com:transactionsamples:customerdata:v1")]
	public enum countryCodeType 
	{
        
		/// <remarks/>
		AF,
        
		/// <remarks/>
		AL,
        
		/// <remarks/>
		DZ,
        
		/// <remarks/>
		AD,
        
		/// <remarks/>
		AO,
        
		/// <remarks/>
		AG,
        
		/// <remarks/>
		AR,
        
		/// <remarks/>
		AM,
        
		/// <remarks/>
		AU,
        
		/// <remarks/>
		AT,
        
		/// <remarks/>
		AZ,
        
		/// <remarks/>
		BS,
        
		/// <remarks/>
		BH,
        
		/// <remarks/>
		BD,
        
		/// <remarks/>
		BB,
        
		/// <remarks/>
		BY,
        
		/// <remarks/>
		BE,
        
		/// <remarks/>
		BZ,
        
		/// <remarks/>
		BJ,
        
		/// <remarks/>
		BT,
        
		/// <remarks/>
		BO,
        
		/// <remarks/>
		BA,
        
		/// <remarks/>
		BW,
        
		/// <remarks/>
		BR,
        
		/// <remarks/>
		BN,
        
		/// <remarks/>
		BG,
        
		/// <remarks/>
		BF,
        
		/// <remarks/>
		BI,
        
		/// <remarks/>
		KH,
        
		/// <remarks/>
		CM,
        
		/// <remarks/>
		CA,
        
		/// <remarks/>
		CV,
        
		/// <remarks/>
		CF,
        
		/// <remarks/>
		TD,
        
		/// <remarks/>
		CL,
        
		/// <remarks/>
		CN,
        
		/// <remarks/>
		CO,
        
		/// <remarks/>
		KM,
        
		/// <remarks/>
		CG,
        
		/// <remarks/>
		ZR,
        
		/// <remarks/>
		CR,
        
		/// <remarks/>
		CI,
        
		/// <remarks/>
		HR,
        
		/// <remarks/>
		CU,
        
		/// <remarks/>
		CY,
        
		/// <remarks/>
		EZ,
        
		/// <remarks/>
		DK,
        
		/// <remarks/>
		DJ,
        
		/// <remarks/>
		DM,
        
		/// <remarks/>
		DO,
        
		/// <remarks/>
		EC,
        
		/// <remarks/>
		EG,
        
		/// <remarks/>
		SV,
        
		/// <remarks/>
		GQ,
        
		/// <remarks/>
		ER,
        
		/// <remarks/>
		EE,
        
		/// <remarks/>
		ET,
        
		/// <remarks/>
		YU,
        
		/// <remarks/>
		FJ,
        
		/// <remarks/>
		FI,
        
		/// <remarks/>
		MK,
        
		/// <remarks/>
		FR,
        
		/// <remarks/>
		GA,
        
		/// <remarks/>
		GM,
        
		/// <remarks/>
		GE,
        
		/// <remarks/>
		DE,
        
		/// <remarks/>
		GH,
        
		/// <remarks/>
		GR,
        
		/// <remarks/>
		GD,
        
		/// <remarks/>
		GT,
        
		/// <remarks/>
		GN,
        
		/// <remarks/>
		GW,
        
		/// <remarks/>
		GY,
        
		/// <remarks/>
		HT,
        
		/// <remarks/>
		HN,
        
		/// <remarks/>
		HU,
        
		/// <remarks/>
		IS,
        
		/// <remarks/>
		IN,
        
		/// <remarks/>
		ID,
        
		/// <remarks/>
		IR,
        
		/// <remarks/>
		IQ,
        
		/// <remarks/>
		IE,
        
		/// <remarks/>
		IL,
        
		/// <remarks/>
		IT,
        
		/// <remarks/>
		JM,
        
		/// <remarks/>
		JP,
        
		/// <remarks/>
		JO,
        
		/// <remarks/>
		KZ,
        
		/// <remarks/>
		KE,
        
		/// <remarks/>
		KI,
        
		/// <remarks/>
		KR,
        
		/// <remarks/>
		KP,
        
		/// <remarks/>
		KW,
        
		/// <remarks/>
		KG,
        
		/// <remarks/>
		LA,
        
		/// <remarks/>
		LV,
        
		/// <remarks/>
		LB,
        
		/// <remarks/>
		LS,
        
		/// <remarks/>
		LR,
        
		/// <remarks/>
		LY,
        
		/// <remarks/>
		LI,
        
		/// <remarks/>
		LT,
        
		/// <remarks/>
		LU,
        
		/// <remarks/>
		MG,
        
		/// <remarks/>
		MW,
        
		/// <remarks/>
		MY,
        
		/// <remarks/>
		MV,
        
		/// <remarks/>
		ML,
        
		/// <remarks/>
		MT,
        
		/// <remarks/>
		MH,
        
		/// <remarks/>
		MR,
        
		/// <remarks/>
		MU,
        
		/// <remarks/>
		MX,
        
		/// <remarks/>
		FM,
        
		/// <remarks/>
		MD,
        
		/// <remarks/>
		MC,
        
		/// <remarks/>
		MN,
        
		/// <remarks/>
		MA,
        
		/// <remarks/>
		MZ,
        
		/// <remarks/>
		MM,
        
		/// <remarks/>
		NA,
        
		/// <remarks/>
		NR,
        
		/// <remarks/>
		NP,
        
		/// <remarks/>
		NL,
        
		/// <remarks/>
		NZ,
        
		/// <remarks/>
		NI,
        
		/// <remarks/>
		NE,
        
		/// <remarks/>
		NG,
        
		/// <remarks/>
		NK,
        
		/// <remarks/>
		NO,
        
		/// <remarks/>
		OM,
        
		/// <remarks/>
		PK,
        
		/// <remarks/>
		PW,
        
		/// <remarks/>
		PA,
        
		/// <remarks/>
		PG,
        
		/// <remarks/>
		PY,
        
		/// <remarks/>
		PE,
        
		/// <remarks/>
		PH,
        
		/// <remarks/>
		PL,
        
		/// <remarks/>
		PT,
        
		/// <remarks/>
		QA,
        
		/// <remarks/>
		RO,
        
		/// <remarks/>
		RU,
        
		/// <remarks/>
		RW,
        
		/// <remarks/>
		WS,
        
		/// <remarks/>
		SM,
        
		/// <remarks/>
		ST,
        
		/// <remarks/>
		SA,
        
		/// <remarks/>
		SN,
        
		/// <remarks/>
		SC,
        
		/// <remarks/>
		SL,
        
		/// <remarks/>
		SG,
        
		/// <remarks/>
		SK,
        
		/// <remarks/>
		SI,
        
		/// <remarks/>
		SB,
        
		/// <remarks/>
		SO,
        
		/// <remarks/>
		ZA,
        
		/// <remarks/>
		ES,
        
		/// <remarks/>
		LK,
        
		/// <remarks/>
		KN,
        
		/// <remarks/>
		LC,
        
		/// <remarks/>
		VC,
        
		/// <remarks/>
		SD,
        
		/// <remarks/>
		SR,
        
		/// <remarks/>
		SZ,
        
		/// <remarks/>
		SE,
        
		/// <remarks/>
		CH,
        
		/// <remarks/>
		SY,
        
		/// <remarks/>
		TJ,
        
		/// <remarks/>
		TZ,
        
		/// <remarks/>
		TH,
        
		/// <remarks/>
		TG,
        
		/// <remarks/>
		TO,
        
		/// <remarks/>
		TT,
        
		/// <remarks/>
		TN,
        
		/// <remarks/>
		TR,
        
		/// <remarks/>
		TM,
        
		/// <remarks/>
		TV,
        
		/// <remarks/>
		UG,
        
		/// <remarks/>
		UA,
        
		/// <remarks/>
		AE,
        
		/// <remarks/>
		GB,
        
		/// <remarks/>
		US,
        
		/// <remarks/>
		UY,
        
		/// <remarks/>
		UZ,
        
		/// <remarks/>
		VU,
        
		/// <remarks/>
		VA,
        
		/// <remarks/>
		VE,
        
		/// <remarks/>
		VN,
        
		/// <remarks/>
		YE,
        
		/// <remarks/>
		ZM,
        
		/// <remarks/>
		ZW,
	}
}
