using System;
using System.IO;
using System.Reflection;
using System.Xml;
using System.Xml.Serialization;
using newtelligence.Aspects.Constraints;
using newtelligence.Samples.Metadata;
using newtelligence.Samples.Metadata.AttributedClasses;

namespace MetadataTester
{
	
	class MainApp
	{
	
		static void Main(string[] args)
		{
			try
			{
				string customerData =
					"<Customers xmlns=\"urn:schemas-newtelligence-com:transactionsamples:customerdata:v1\"> "+
					  "<Customer> "+
					    "<FirstName>Clemens</FirstName>"+
					    "<LastName>Vasters</LastName>"+
					    "<HomeAddress>"+
					       "<City>Korschenbroich</City>"+
						   "<Country>Germany</Country>"+
					       "<CountryCode>DE</CountryCode>"+
					       "<PostalCode>41352</PostalCode>"+
						   "<AddressLine>newtelligence</AddressLine>"+
					    "</HomeAddress>"+
					    "<BusinessAddress>"+
					       "<City>Korschenbroich</City>"+
					       "<Country>Germany</Country>"+
					       "<CountryCode>DE</CountryCode>"+
					       "<PostalCode>41352</PostalCode>"+
					       "<AddressLine>newtelligence</AddressLine>"+
					    "</BusinessAddress>"+
					    "<HomePhone>+49-(0)2161-40260-0</HomePhone>"+
					    "<BusinessPhone>+49-(0)2161-40260-0</BusinessPhone>"+
					    "<MobilePhone>+49-(0)2161-40260-0</MobilePhone>"+
					  "</Customer>"+
					"</Customers>";

				StringReader sr = new StringReader( customerData );
				XmlTextReader xr = new XmlTextReader( sr );
				SchemaValidator sv = new SchemaValidator(Assembly.GetExecutingAssembly().GetManifestResourceStream("MetadataTester.customerdata.xsd"));
				sv.ValidateXmlStream( xr );
			}
			catch( Exception e )
			{
				Console.WriteLine( e );
			}

			try
			{
				Customers customers = new Customers();
				customers.Customer = new customerType[1];
                customerType customer = customers.Customer[0] = new customerType();
				customer.HomeAddress = new addressType();
				customer.HomeAddress.AddressLine = "newtelligence AG";
				customer.HomeAddress.City = "Korschenbroich";
				customer.HomeAddress.PostalCode = "41352";
				customer.HomeAddress.Country = countryNameType.Germany;
				customer.HomeAddress.CountryCode = countryCodeType.DE;
				customer.BusinessAddress = new addressType();
				customer.BusinessAddress.AddressLine = "newtelligence AG";
				customer.BusinessAddress.City = "Korschenbroich";
				customer.BusinessAddress.PostalCode = "41352";
				customer.BusinessAddress.Country = countryNameType.Germany;
				customer.BusinessAddress.CountryCode = countryCodeType.DE;
				customer.BusinessPhone = "+49-(0)2161-402600";
				customer.HomePhone = "+49-(0)2161-402600";
				customer.MobilePhone = "+49-(0)2161-402600";
				
				customer.FirstName = "Clemens";
				customer.LastName = "Vasters";

				ConstraintValidator cv = new ConstraintValidator();
				cv.Validate( customer );

				// now we're safe to pass the data on.

				Console.WriteLine( "Succeeded!");
			}
			catch( Exception e )
			{
				Console.WriteLine( e );
			}
			
		}
	}
}
